List result webhook endpoints
curl --request GET \
--url https://api.pineyard.ai/result-webhooks/endpoints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/result-webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/result-webhooks/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"enabled": true,
"globalEnabled": true,
"workspaceEnabled": true,
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"status": "PENDING_VERIFICATION",
"campaignIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"evaluationMode": "NONE",
"evaluationKeys": [
"<string>"
],
"extractionMode": "NONE",
"extractionKeys": [
"<string>"
],
"verifiedAt": "<string>",
"activeFrom": "<string>",
"lastDeliveryAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"evaluationFields": [
{
"key": "<string>",
"label": "<string>",
"sampleValue": null
}
],
"extractionFields": [
{
"key": "<string>",
"label": "<string>",
"sampleValue": null
}
],
"evaluationKeys": [
"<string>"
],
"extractionKeys": [
"<string>"
]
}
]
}Result webhooks
List result webhook endpoints
List result webhook endpoints, available campaign fields, and rollout state.
GET
/
result-webhooks
/
endpoints
List result webhook endpoints
curl --request GET \
--url https://api.pineyard.ai/result-webhooks/endpoints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/result-webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/result-webhooks/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"enabled": true,
"globalEnabled": true,
"workspaceEnabled": true,
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"status": "PENDING_VERIFICATION",
"campaignIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"evaluationMode": "NONE",
"evaluationKeys": [
"<string>"
],
"extractionMode": "NONE",
"extractionKeys": [
"<string>"
],
"verifiedAt": "<string>",
"activeFrom": "<string>",
"lastDeliveryAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"evaluationFields": [
{
"key": "<string>",
"label": "<string>",
"sampleValue": null
}
],
"extractionFields": [
{
"key": "<string>",
"label": "<string>",
"sampleValue": null
}
],
"evaluationKeys": [
"<string>"
],
"extractionKeys": [
"<string>"
]
}
]
}Required scope:
result_webhooks.view
